pcl::_PointXYZRGBNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZRGBNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
PCL_ADD_UNION_RGB
float curvature
} |
float data_c [4]
}; |
| PCL_ADD_EIGEN_MAPS_RGB

## Detailed Description

Definition at line 878 of file point_types.hpp.

## Member Data Documentation

## @23

union { ... }

## curvature

float pcl::_PointXYZRGBNormal::curvature

Definition at line 887 of file point_types.hpp.

Referenced by pcl::PointXYZRGBNormal::PointXYZRGBNormal().

## data_c

float pcl::_PointXYZRGBNormal::data_c[4]

Definition at line 889 of file point_types.hpp.

## PCL_ADD_EIGEN_MAPS_RGB

pcl::_PointXYZRGBNormal::PCL_ADD_EIGEN_MAPS_RGB

Definition at line 891 of file point_types.hpp.

## PCL_ADD_NORMAL4D

pcl::_PointXYZRGBNormal::PCL_ADD_NORMAL4D

Definition at line 881 of file point_types.hpp.

## PCL_ADD_POINT4D

pcl::_PointXYZRGBNormal::PCL_ADD_POINT4D

Definition at line 880 of file point_types.hpp.

## PCL_ADD_UNION_RGB

pcl::_PointXYZRGBNormal::PCL_ADD_UNION_RGB

Definition at line 886 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp